Package pyamf :: Class BaseDecoder |
[hide private]
[frames] | no frames]

# Class BaseDecoder

source code

Base AMF decoder.

Instance Methods | [hide private]
__init__(self, stream=None, context=None, strict=False, timezone_offset=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
readElement(self) Reads an AMF3 element from the data stream. | source code
__iter__(self) | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Instance Variables | [hide private]
An instance of `BaseDecoder.context_class` | context_class The context for the decoding.
`list` | type_map = ``{``}``
BufferedByteStream | stream The underlying data stream.
`bool` | strict Defines how strict the decoding should be.
`datetime.timedelta` | timezone_offset The offset from UTC for any datetime objects being decoded.

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, stream=None, context=None, strict=False, timezone_offset=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### readElement(self) | source code
Reads an AMF3 element from the data stream. Raises: `DecodeError` - The ActionScript type is unsupported. `EOStream` - No more data left to decode.

Instance Variable Details | [hide private]

### context_class The context for the decoding. Type: An instance of `BaseDecoder.context_class` Value: pyamf.BaseContext

### strict Defines how strict the decoding should be. For the time being this relates to typed objects in the stream that do not have a registered alias. Introduced in 0.4. Type: `bool`

### timezone_offset The offset from UTC for any datetime objects being decoded. Default to `None` means no offset. Type: `datetime.timedelta`